Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 234568 (perl-AutoClass) - Review Request: perl-AutoClass - Automatically define classes and objects for Perl
Summary: Review Request: perl-AutoClass - Automatically define classes and objects for...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: perl-AutoClass
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Parag AN(पराग)
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: perl-bioperl
TreeView+ depends on / blocked
 
Reported: 2007-03-30 06:56 UTC by Alex Lancaster
Modified: 2007-11-30 22:12 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-02 22:55:37 UTC
panemade: fedora-review+
petersen: fedora-cvs+


Attachments (Terms of Use)

Comment 1 Alex Lancaster 2007-03-30 06:57:24 UTC
Oops, missed description:

AutoClass is a Perl module to automatically define simple get and set
methods to automatically initialize objects in a (possibly multiple)
inheritance structure.



Comment 2 Alex Lancaster 2007-03-30 06:59:08 UTC
Copyright is located in the Perl code itself in lib/Class/AutoClass.pm:

Copyright (c) 2003 Institute for Systems Biology (ISB). All Rights Reserved.

This module is free software; you can redistribute it and/or modify
it under the same terms as Perl itself.

Comment 3 Ralf Corsepius 2007-03-30 07:17:41 UTC
Needs work:

- Missing
BR: perl(Test::Deep)

Without it the tests fail misserably.

- Probably unnecessary:
Requires: perl(IO::Scalar)

Comment 5 Parag AN(पराग) 2007-04-01 09:28:17 UTC
picking up for review.


Comment 6 Parag AN(पराग) 2007-04-02 03:49:38 UTC
Review:
+ package builds in mock (development i386).
+ rpmlint is silent for SRPM and for RPM.
+ source files match upstream url
5f04fa29d6cd01b4d1b707ed79edb8e6  autoclass_v1_01.tgz
+ package meets naming and packaging guidelines.
+ specfile is properly named, is cleanly written
+ Spec file is written in American English.
+ Spec file is legible.
+ dist tag is present.
+ build root is correct.
+ license is open source-compatible.
+ License text is included in package.
+ %doc is present.
+ BuildRequires are proper.
+ %clean is present.
+ package installed properly.
+ Macro use appears rather consistent.
+ Package contains code, not content.
+ no headers or static libraries.
+ no .pc file present.
+ no -devel subpackage
+ no .la files.
+ no translations are available
+ Does owns the directories it creates.
+ no scriptlets present.
+ no duplicates in %files.
+ file permissions are appropriate.
+ make test
PERL_DL_NONLAZY=1 /usr/bin/perl "-MExtUtils::Command::MM" "-e" "test_harness(0,
'blib/lib', 'blib/arch')" t/*.t
t/AutoArgsTest.........ok
t/AutoClassTest........Subroutine testPackage6::first redefined at (eval 29) line 4.
Subroutine testPackage6::last redefined at (eval 30) line 4.
Subroutine testPackage6::friends redefined at (eval 31) line 4.
Subroutine testPackage6::sex redefined at (eval 32) line 4.
Subroutine testPackage6::has_default redefined at (eval 33) line 4.
Subroutine testPackage6::gender redefined at (eval 34) line 2.
Subroutine testPackage6::FIRST redefined at (eval 35) line 1.
Subroutine testPackage6::LAST redefined at (eval 36) line 1.
Subroutine testPackage6::FRIENDS redefined at (eval 37) line 1.
Subroutine testPackage6::SEX redefined at (eval 38) line 1.
Subroutine testPackage6::HAS_DEFAULT redefined at (eval 39) line 1.
ok
t/classvarTest.........ok
t/defaultTest..........# Tests for handling of defaults with  synonyms. Parent only
# Tests for handling of defaults with  synonyms. Parent and Child
ok
t/nullify..............ok
t/override.............ok
t/RootTest.............ok
t/synonym..............ok
t/testCase.............# test setting attributes from defaults
# test setting attributes from arguments
ok
t/testInconsistent.....ok
t/testNoAutoClass......ok
t/testNoUseParent......ok
t/testSynonyms2........ok
t/testUseOutOfOrder....ok
All tests successful.
Files=14, Tests=362,  1 wallclock secs ( 0.88 cusr +  0.17 csys =  1.05 CPU)
+ Provides: perl(Class::AutoClass) = 1.0 perl(Class::AutoClass::Args)
perl(Class::AutoClass::Root) = 1.0

APPROVED.


Comment 7 Alex Lancaster 2007-04-02 07:34:50 UTC
New Package CVS Request
=======================
Package Name: perl-AutoClass
Short Description: Automatically define classes and objects for Perl
Owners: alexl@users.sourceforge.net
Branches: FC-5 FC-6
InitialCC: 



Comment 8 Jens Petersen 2007-04-02 13:19:59 UTC
done

Comment 9 Alex Lancaster 2007-04-02 22:55:37 UTC
Builds in all branches.  Closing.


Note You need to log in before you can comment on or make changes to this bug.